cascading

## Class ComparePlatformsTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - cascading.CascadingTestCase
      - - cascading.ComparePlatformsTest

- All Implemented Interfaces:
    Serializable, junit.framework.Test

      public class ComparePlatformsTest
      extends CascadingTestCase

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ComparePlatformsTest.CompareTestCase`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NONDETERMINISTIC`

    - ### Fields inherited from class cascading.CascadingTestCase

      `name, ROOT_OUTPUT_PATH, ROOT_PLAN_PATH, TEST_TRACEPLAN_ENABLED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComparePlatformsTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static junit.framework.Test` | `suite()`

    - ### Methods inherited from class cascading.CascadingTestCase

      `asCollection, asCollection, asCollection, asCollection, asList, asList, asSet, asSet, getOutputPath, getOutputPathElements, getPlanPath, getPlanPathElements, getSinkAsList, getSourceAsList, getTestCaseName, getTestName, getTestOutputRoot, getTestPlanRoot, invokeAggregator, invokeAggregator, invokeAggregator, invokeAggregator, invokeAggregator, invokeAggregator, invokeBuffer, invokeBuffer, invokeBuffer, invokeBuffer, invokeBuffer, invokeBuffer, invokeFilter, invokeFilter, invokeFilter, invokeFilter, invokeFilter, invokeFilter, invokeFilter, invokeFilter, invokeFunction, invokeFunction, invokeFunction, invokeFunction, invokeFunction, invokeFunction, invokeFunction, invokeFunction, setUp, tearDown, validateLength, validateLength, validateLength, validateLength, validateLength, validateLength, validateLength, validateLength, validateLength, validateLength`

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NONDETERMINISTIC

          public static final String NONDETERMINISTIC

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ComparePlatformsTest

          public ComparePlatformsTest()

  - ### Method Detail

    - #### suite

          public static junit.framework.Test suite()
                                            throws Exception

      Throws:
        `Exception`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.